build.hpp File Reference

Go to the source code of this file.

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Search
| Search engines

## Functions

template<class T, class E>
Engine * | Gecode::Search::build (Space *s, const Options &opt)
| Build an engine of type E for a script T.
template<class T, template< class > class E>
Engine * | Gecode::Search::build (Space *s, const Options &opt)
| Build a parametric engine of type E for a script T.